Pāriet uz saturu

GPT Image 2 API

Integrēt

Modeļa id openai/gpt-image-2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: ≈0,106 $ 106 API kredīti Izpildīt šajā lapā

Iegūt API atslēgu
OpenAI Teksts uz attēlu #gpt-image-2#openai#typography#chatgpt-images-2

GPT Image 2 teksta-attēla modelis ar elastīgiem izmēriem līdz 3840px malai, paredzēts precīzai tipogrāfijai

OpenAI · Attēls

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts 88 / 32000

Uzvedne, ko izmanto attēlu ģenerēšanai.

image_size noklusējums landscape_4_3

Izvades izmēri pieņem sākotnējā iestatījuma nosaukumu, {width, height} objektu vai 'auto' modeļa labākā izmēra izvēlei. Visiem konkrētajiem izmēriem jādalās ar 16, malas nedrīkst pārsniegt 3840px, malu attiecība nedrīkst pārsniegt 3:1, un kopējam pikseļu skaitam jābūt 655,360–8,294,400.

num_images noklusējums 1

Izveidojamo attēlu skaits.

Papildu background · quality · output_format · enable_safety_checker
background noklusējums auto

Rezultāta attēla fons.

quality noklusējums high

Attēla kvalitātes atlase, tostarp 'auto' modeļa izvēlei atkarībā no uzvednes.

output_format noklusējums png

Izvades attēlu faila formāts.

POST /run/openai/gpt-image-2?wait=20 cena → 0,106 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par GPT Image 2 API

Ģenerē attēlus no līdz 32000 rakstzīmju garas uzvednes. `image_size` pieņem iestatījumus, auto vai konkrētu platumu un augstumu; abiem izmēriem jābūt 16 reizinājumiem, un maksimālā mala ir 3840px. Kvalitāte var būt auto, low, medium vai high, ar līdz 4 attēliem vienā izsaukumā png, jpeg vai webp formātā.

Parametri

Nosūti vai nu kanonisko nosaukumu, vai vietējo nosaukumu, bet ne abus. Kan啤niskie nosaukumi

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
≤ 32 000 rakstzīmju≥ 2 rakstzīmes
Uzvedne, ko izmanto attēlu ģenerēšanai.
image_sizeneobligāts
Tipsobject
Noklusējumslandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
Izvades izmēri pieņem sākotnējā iestatījuma nosaukumu, {width, height} objektu vai 'auto' modeļa labākā izmēra izvēlei. Visiem konkrētajiem izmēriem jādalās ar 16, malas nedrīkst pārsniegt 3840px, malu attiecība nedrīkst pārsniegt 3:1, un kopējam pikseļu skaitam jābūt 655,360–8,294,400.
backgroundneobligāts
Tipsenum
Noklusējumsauto
autotransparentopaque
Rezultāta attēla fons.
qualityneobligāts
Tipsenum
Noklusējumshigh
autolowmediumhigh
Attēla kvalitātes atlase, tostarp 'auto' modeļa izvēlei atkarībā no uzvednes.
num_imagesneobligāts num_outputs
Tipsinteger
Noklusējums1
1 – 4
Izveidojamo attēlu skaits.
output_formatneobligāts
Tipsenum
Noklusējumspng
jpegpngwebp
Izvades attēlu faila formāts.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Pārbaudi var atslābināt, iestatot false, ja izsaucējam ir atļauja.
obligāts Kan啤niskais nosaukums, arī pieņemts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 106,
    "usd": "0.106",
    "charged": 106,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
images
array of object {url, content_type, file_name, file_size, width, height}Modeļa ģenerētie attēli.

Vairāk modeļu: Teksts uz attēlu

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/openai/gpt-image-2.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt